Bug 20218 - Extend pointer events to support raw trackpad data
Summary: Extend pointer events to support raw trackpad data
Status: RESOLVED LATER
Alias: None
Product: PointerEventsWG
Classification: Unclassified
Component: Pointer Events specification (show other bugs)
Version: unspecified
Hardware: PC All
: P3 normal
Target Milestone: ---
Assignee: Jacob Rossi [MSFT]
QA Contact: This bug has no owner yet - up for the taking
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 22:20 UTC by Rick Byers
Modified: 2012-12-19 22:38 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Byers 2012-12-03 22:20:22 UTC
In adition to mice, stylii and touch screens, I've heard requests for an API web sites could use to get detailed touchpad data (rather than assuming they're identical to a mouse).  In particular, when the hardware and OS supports it, it should be possible to receive co-ordinates for all the touch points on a trackpad.

The most interesting difference here is that the co-ordinate are not directly connected with screen co-ordinates.  I could imagine having an additional pointer type where pointerdown corresponded to putting a finger on the trackpad, and there were additional fields for trackpad co-ordinates (perhaps in some fixed range like [0,100]).

I don't think it's critical that we need to flush out the details of this scenario now, but I'd like to keep it in mind as we define potential extensibility points.
Comment 1 Asir V Selvasingh 2012-12-19 22:38:51 UTC
Closed on WG conference call dated Dec 18th 2012 http://www.w3.org/2012/12/18-pointerevents-minutes.html#item08

RESOLUTION: Mark trackpad bug 20218 as resolved Later for PE v2